OPNSENSE-CRYPT(8)

NAME
opnsense-crypt - OPNsense configuration encryption utility

SYNOPSIS
opnsense-crypt file

DESCRIPTION
The opnsense-crypt utility will automatically encrypt or decrypt a given path/to/config.xml file using the matching supplied path/to/config.secret file. After successful execution the original contents of path/to/config.xml will be replaced by the resulting contents of the respective operation.

Please be aware that encrypting /conf/config.xml in a running system will invalidate and eventually reject this configuration. Use with care.

EXIT STATUS

AUTHORS
Franco Fichtner <franco@opnsense.org>